Bug 128098 - up2date does not purge /var/spool/up2date
up2date does not purge /var/spool/up2date
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks: 124619
  Show dependency treegraph
 
Reported: 2004-07-17 13:41 EDT by Sam Varshavchik
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:17:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2004-07-17 13:41:58 EDT
Description of problem:

up2date does not delete installed RPMs.

Version-Release number of selected component (if applicable):

up2date-4.3.19-1

How reproducible:

Always

Steps to Reproduce:

# grep keepAfterInstall /etc/sysconfig/rhn/up2date
keepAfterInstall[comment]=Keep packages on disk after installation
keepAfterInstall=0

Actual results:

/var/spool/up2date contains both recently installed updates, and
ancient updates, so this is not a bug in some old version of up2date
that's already fixed:

# ls -alt /var/spool/up2date | tail
-rw-------   1 root root   204516 Feb 17 07:13
XFree86-ISO8859-2-100dpi-fonts-4.3.0-55.x86_64.hdr
-rw-------   1 root root   204688 Feb 17 07:13
XFree86-ISO8859-15-75dpi-fonts-4.3.0-55.x86_64.hdr
-rw-------   1 root root   204692 Feb 17 07:13
XFree86-ISO8859-15-100dpi-fonts-4.3.0-55.x86_64.hdr
-rw-------   1 root root   204452 Feb 17 07:13
XFree86-ISO8859-14-100dpi-fonts-4.3.0-55.x86_64.hdr
-rw-------   1 root root   204444 Feb 17 07:13
XFree86-ISO8859-14-75dpi-fonts-4.3.0-55.x86_64.hdr
-rw-r--r--   1 root root      131 Feb  8 10:57
fedora-core-096-obsoletes.1000
-rw-r--r--   1 root root      131 Feb  8 10:57 updates-obsoletes.1000
-rw-r--r--   1 root root    22917 Feb  8 10:57
updates-testing.20040206172523
-rw-r--r--   1 root root      472 Feb  8 10:57
updates-testing-obsoletes.1000
-rw-r--r--   1 root root   578058 Feb  8 10:57
fedora-core-096.20040113211246
# ls -altr /var/spool/up2date | tail
-rw-r--r--   1 root root  4165226 Jul 16 21:18 gtk2-2.4.0-1.i386.rpm
-rw-r--r--   1 root root    71304 Jul 16 21:18
libart_lgpl-2.3.16-2.1.i386.rpm
-rw-r--r--   1 root root    33411 Jul 16 21:18 libgcc-3.3.3-7.i386.rpm
-rw-r--r--   1 root root   129806 Jul 16 21:18 libjpeg-6b-31.1.i386.rpm
-rw-r--r--   1 root root   245561 Jul 16 21:19 libstdc++-3.3.3-7.i386.rpm
-rw-r--r--   1 root root   195821 Jul 16 21:19 libtiff-3.5.7-16.1.i386.rpm
-rw-r--r--   1 root root   273833 Jul 16 21:19 pango-1.4.0-2.i386.rpm
-rw-r--r--   1 root root    28391 Jul 16 21:19
startup-notification-0.6-2.i386.rpm
-rw-r--r--   1 root root    44333 Jul 16 21:19 zlib-1.2.1.1-2.1.i386.rpm
drwxr-xr-x   2 root root    16384 Jul 16 21:22 .
Comment 1 Matthew Miller 2005-04-26 11:21:29 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 Sam Varshavchik 2005-09-23 18:56:52 EDT
After continuously using up2date since upgrading to FC3, there's still some
stuff left in /var/spool/up2date that does not get cleaned up.

ls -alt | tail shows:

-rw-------   1 root root   14024 Jun 19 13:58 Canna-libs-3.7p1-6.i386.hdr
-rw-------   1 root root    5440 Jun 19 13:58 Coin2-2.3.0-0.fdr.4.2.i386.hdr
-rw-------   1 root root   13632 Jun 19 13:40
bittorrent-3.4.1-0.fdr.2.a.1.91.noarch.hdr
-rw-r--r--   1 root root  222288 Jun 19 13:40 fedora-us-stable-2-all.1000
-rw-r--r--   1 root root   96348 Jun 19 13:40 livna-stable-fc2-all.1000
-rw-r--r--   1 root root  628775 Jun 19 13:40 fedora-core-2-all.1000
-rw-r--r--   1 root root  179857 Jun 19 13:40 updates-released-fc2-all.1000
-rw-r--r--   1 root root   96348 Jun 19 13:39 livna-stable-fc2.20050617111751
-rw-------   1 root root    7004 Jun 19 13:39 psi-i18n-0.9.3-0.fdr.1.2.i386.hdr
-rw-r--r--   1 root root     131 Jun 12 14:39 fedora-core-2-obsoletes.1000
-rw-r--r--   1 root root     131 Jun 12 14:39 livna-stable-fc2-obsoletes.1000
-rw-r--r--   1 root root     131 Jun 12 14:39 updates-released-fc2-obsoletes.1000
-rw-------   1 root root    3824 Jun 12 14:39
subtitleripper-0.3-0.lvn.2.4.2.i386.hdr
-rw-------   1 root root   15096 Jun 12 14:39 clamav-0.85-0.fdr.1.2.i386.hdr
-rw-r--r--   1 root root     131 Jun 12 14:39 fedora-us-stable-2-obsoletes.1000
-rw-r--r--   1 root root  628775 Jun 12 14:33 fedora-core-2.20040513151100
-rw-------   1 root root    5140 Jun 12 14:33 freeradius-postgresql-0.9.3-4.i386.hdr
-rw-------   1 root root   10137 Jun 12 14:33 info-4.7-4.i386.hdr

I used to have channels called "fedora-us-stable-2", "fedora-core-2" and
"livna-stable-fc2".  But those channels have been removed a long time ago, after
upgrading to FC3.  They no longer exist, yet files that relate to those channels
still remain in /var/spool/up2date.

Comment 3 Matthew Miller 2006-07-10 18:14:35 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-10-29 10:17:00 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.